mcomix failed to run after upgrading to 19.10

Bug #1849591 reported by ryou ezoe on 2019-10-24
22
This bug affects 5 people
Affects Status Importance Assigned to Milestone
mcomix (Ubuntu)
Undecided
Unassigned

Bug Description

With the following error messages.

Gtk-Message: 11:51:48.901: Failed to load module "canberra-gtk-module"
Traceback (most recent call last):
  File "/usr/bin/mcomix", line 11, in <module>
    load_entry_point('mcomix==1.2.1', 'console_scripts', 'mcomix')()
  File "/usr/local/lib/python2.7/dist-packages/mcomix-1.2.1-py2.7.egg/mcomix/run.py", line 206, in run
    assert PIL.Image.VERSION >= '1.1.5'
AttributeError: 'module' object has no attribute 'VERSION'

Rui Madeira (rdmadeira) wrote :

Basically the VERSION attribute was replaced with version.

See https://old.reddit.com/r/openSUSE/comments/bgt9y3/mcomix_stopped_working_after_tumbleweed_update/elnvcup/ for fix.

Also note a bug report was submitted for it (https://sourceforge.net/p/mcomix/bugs/116/).

tags: added: eoan
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in mcomix (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers